<?php
/*
Plugin Name: DyaPress ERP/CRM
Plugin URI: https://dyapress.com/
Description: Portage of open-source CRM/ERP Dolibarr(tm) to WordPress.
Version: 16.0.5.5
Author: Aytechnet
Author URI: https://www.aytechnet.fr/
License: GPLv2 or later
Text Domain: dyapress
Domain Path: /languages/
*/

/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

WordPress DyaPress plugin :
Copyright (C) 2016-2022      François Pons        <fpons@aytechnet.fr>
*/

defined( 'ABSPATH' ) or die( 'Oops' );

define( 'DYAPRESS_VERSION', '16.0.5.5' );
define( 'DYAPRESS_FILES_SHA1SUM', '2eaecff618bfed6fb4b96a21b741dec207f57d21');

include_once dirname( __FILE__ ).DIRECTORY_SEPARATOR.'dyapress-main.php';

// The instance of DyaPress
function dyap() {
    return DyaPress::get_instance();
}

function dyap_url( $url ) {
    return dyap()->rewrite_url( $url );
}

function dyap_get_form( $url = '', $options = '' ) {
    return dyap()->rewrite_get_form( $url, $options );
}

function dyap_internal_url( $url ) {
    return dyap()->internal_url( $url );
}

function dyap_self() {
    return dyap()->self_url();
}

function dyap_get_class( $o ) {
    return dyap()->get_class( $o );
}

function dyap_use_class( $c ) {
    return dyap()->use_class( $c );
}

// activate/deactivate
register_activation_hook( __FILE__, array( dyap(), 'activate' ) );
register_deactivation_hook( __FILE__, array( dyap(), 'deactivate' ) );
